#!/bin/bash -x
# -----------------------------------------------------------------------------------
#  - Shell script to build stuff for AR7 routers, using the "hardhat" cross compiler toolchain
#  - It will look for the configure script either in the current directory
#  - or in the one immediately below
#  - Author: thechief
# -----------------------------------------------------------------------------------

# --- fix the paths
#export PATH=/opt/hardhat/previewkit/mips/mipsel-linux-uclibc/bin:/opt/hardhat/previewkit/mips/fp_le/bin:$PATH
#export C_INCLUDE_PATH=/opt/hardhat/previewkit/mips/mipsel-linux-uclibc/include
#export LIBRARY_PATH=/opt/hardhat/previewkit/mips/mipsel-linux-uclibc/lib/
#export GCC_EXEC_PREFIX=/opt/hardhat/previewkit/mips/fp_le/lib/gcc-lib/
#export LD_LIBRARY_PATH=$LIBRARY_PATH

# try new compiler
gcc_ver=4.1.2
BASEDIR=/opt/gcc/ar7/staging_dir
export PATH=$BASEDIR/toolchain-mipsel_gcc$gcc_ver/bin:$BASEDIR/host/bin:$PATH
export CFLAGS="-Os -s -ffunction-sections -fdata-sections"
export LDFLAGS="-Wl,--gc-sections"

# --- fix other variables
CROSS_COMPILE=mipsel-uclibc

STRIP=$CROSS_COMPILE-strip

# --- default prefix
export PREFIX=$HOME/ar7_bins
# --------------------------------------------------------------------
#
#       Now, let us do the stuff!
#
# --------------------------------------------------------------------

make clean
make
$STRIP -s Led
mv Led nonROHS/

make clean
export CFLAGS="$CFLAGS -DROHS"
make 
$STRIP -s Led
mv Led ROHS/
make clean