#!/bin/bash
#---------------------------------------------------------------
# This script is called from both the ROHS and standard firmware makefiles
# "FILESYS_DIR" is defined in them as appropriate
#---------------------------------------------------------------
BASEDIR=/opt/gcc/ar7/staging_dir
CROSS_COMPILE=mipsel-uclibc

# where to copy things
if test "$FILESYS_DIR" = ""; then
   FILESYS_DIR=../../filesystem
fi

export CFLAGS="-Os -s -ffunction-sections -fdata-sections"
export LDFLAGS="-Wl,--gc-sections"

# is this an ROHS build? (currently unused)
if test "$1" = "rohs" || test "$2" = "rohs" || test "$3" = "rohs" || test "$4" = "rohs"; then
   CFLAGS="-Os -s -ffunction-sections -fdata-sections -DROHS"
else
   CFLAGS="-Os -s -ffunction-sections -fdata-sections"
fi

# which OpenWrt gcc toolchain version do we want?
if test "$GCC_BASE" = "3.4.6"; then
   gcc_ver=3.4.6
else
   gcc_ver=4.1.2
fi

# --- fix the paths
#export PATH=/usr/local/bin:/usr/bin:/bin:$BASEDIR/toolchain-mipsel_gcc$gcc_ver/bin:$PATH
export PATH=$BASEDIR/toolchain-mipsel_gcc$gcc_ver/bin:$BASEDIR/host/bin:$PATH

AS=$CROSS_COMPILE-as
LD=$CROSS_COMPILE-ld
RANLIB=$CROSS_COMPILE-ranlib
CPP="$CROSS_COMPILE-gcc -E"
AR=$CROSS_COMPILE-ar
NM=$CROSS_COMPILE-nm
STRIP=$CROSS_COMPILE-strip
OBJCOPY=$CROSS_COMPILE-objcopy
OBJDUMP=$CROSS_COMPILE-objdump
CC=$CROSS_COMPILE-gcc
HOSTCC=/usr/bin/gcc
export AS LD CC CPP AR NM STRIP OBJCOPY OBJDUMP CFLAGS RANLIB LDFLAGS

# if not install, prepare to build
make -f Makefile.flat clean install
#make -f Makefile.flat install

