#!/bin/bash
#---------------------------------------------------------------
# This script is called from both the ROHS and standard firmware makefiles
# "FILESYS_DIR" is defined in them as appropriate
#---------------------------------------------------------------
BASEDIR=/opt/gcc/ar7/staging_dir
CROSS_COMPILE=mipsel-uclibc
CFLAGS="-Os -s -ffunction-sections -fdata-sections"

# where to copy things
if test "$FILESYS_DIR" = ""; then
   FILESYS_DIR=../../filesystem
fi

# do we want to install too?
if test "$1" = "install" || test "$2" = "install" || test "$3" = "install" || test "$4" = "install"; then
   TO_INSTALL=1
else
   TO_INSTALL=0
fi

# is this an ROHS build? (currently unused)
if test "$1" = "rohs" || test "$2" = "rohs" || test "$3" = "rohs" || test "$4" = "rohs"; then
   ROHS=1
else
   ROHS=0
fi

# which OpenWrt gcc toolchain version do we want?
if test "$GCC_BASE" = "3.4.6"; then
   gcc_ver=3.4.6
else
   gcc_ver=4.1.2
fi

# --- fix the paths
export PATH=/usr/local/bin:/usr/bin:/bin:$BASEDIR/toolchain-mipsel_gcc$gcc_ver/bin:$PATH
AS=$CROSS_COMPILE-as
LD=$CROSS_COMPILE-ld
RANLIB=$CROSS_COMPILE-ranlib
CPP="$CROSS_COMPILE-gcc -E"
AR=$CROSS_COMPILE-ar
NM=$CROSS_COMPILE-nm
STRIP=$CROSS_COMPILE-strip
OBJCOPY=$CROSS_COMPILE-objcopy
OBJDUMP=$CROSS_COMPILE-objdump
CC=$CROSS_COMPILE-gcc
HOSTCC=/usr/bin/gcc
export AS LD CC CPP AR NM STRIP OBJCOPY OBJDUMP CFLAGS RANLIB LDFLAGS

# cleanup old builds ?
if test "$1" = "clean" || test "$2" = "clean" || test "$3" = "clean" || test "$4" = "clean"; then
   make -i clean
   rm -rf include/config
   exit
fi

# if not install, prepare to build
if test "$TO_INSTALL" = "0"; then
   make distclean
   rm -rf ./_install/
   if test "$1" = "small" || test "$2" = "small" || test "$3" = "small" || test "$4" = "small"; then
      cp -a dot-config-small-firmware .config.old
      cp -a dot-config-small-firmware .config
   else
      cp -a dot-config-full-firmware .config.old
      cp -a dot-config-full-firmware .config
   fi
   make oldconfig 
   make CC=$CROSS_COMPILE-gcc HOSTCC=/usr/bin/gcc STRIP=$CROSS_COMPILE-strip CONFIG_PREFIX=$FILESYS_DIR PREFIX=$FILESYS_DIR
   chmod 0755 ./busybox
fi

if test -e "./busybox"; then
   if test "$TO_INSTALL" = "1"; then
      make CC=$CROSS_COMPILE-gcc HOSTCC=/usr/bin/gcc STRIP=$CROSS_COMPILE-strip CONFIG_PREFIX=$FILESYS_DIR PREFIX=$FILESYS_DIR install
      chmod 0755 $FILESYS_DIR/bin/busybox
      
      # ---  the next two lines are specific to RT firmwares
      rm -f $FILESYS_DIR/sbin/reboot
     # ln -s -f /usr/local/bin/reboot.sh $FILESYS_DIR/sbin/reboot
      cp -f -a reboot.sh $FILESYS_DIR/sbin/reboot
      cp -f -a ./cmcli $FILESYS_DIR/usr/bin
      # ----
   fi
fi

