/* -*- Mode: C; tab-width: 2; indent-tabs-mode: t; c-basic-offset: 2 -*-
 * File: defines.h
 *
 * Created: Wed May 14 16:38:28 2003
 *
 * $Id: defines.h,v 1.1 2003/12/13 20:59:15 mhassler Exp $
 */

#ifndef _DEFINES_H_
#define _DEFINES_H_

#define BUF_SIZE      4096
#define MAX_SESSIONS  10
#define FOXY_PORT     8118
#define FOXY_ADDR     0x7F000001 // 127.0.0.1

#define NODE_ADD(head, node)	\
	{	node->next=head;		\
		node->prev=NULL;		\
		if(head) (head)->prev=node;	\
		head=node;			\
	}

#define NODE_ENQUEUE(head, node)	\
	{	node->next=head;				\
		if(node->next)					\
			while(node->next->next)			\
				node->next=node->next->next;	\
		node->prev=node->next;				\
		node->next=NULL;				\
		if(!head) head=node;				\
		else node->prev->next=node;				\
	}

#define NODE_DEL(head, node)	\
	{	if(node->next) node->next->prev=node->prev;	\
		if(node->prev) node->prev->next=node->next;	\
		else head=node->next;				\
	}

extern int dprintf(char *fmt, ...);
extern int dprintbuf(char *buf, int len);

#endif
