/***************************************************************************
**+----------------------------------------------------------------------+**
**|                                                                      |**
**|            Copyright (c) 2006 ACORP-Merlion.                         |**
**|            Copyright (c) 2005,2006 Mokrushin I.V. aka McMCC          |**
**|                        ALL RIGHTS RESERVED                           |**
**|                                                                      |**
**+----------------------------------------------------------------------+**
***************************************************************************/

#ifndef __SWITCH_CSL_RTL_8305SC_H__
#define __SWITCH_CSL_RTL_8305SC_H__


/* According to operation type and port number we can retreive the PHY address */
/*******************************************************************************
*
* cslRtl8305scRegVal2OperStatus - extract the user operational status out of register value.
*
* Enable/Disable a selected port
*
* INPUTS:
*     [In]    OPER_TYPE oper 
*     [In]    UINT_16   data
* 
*
*
* RETURNS: 
*       operational status to be returned to user
*
*
*/

Int32 cslRtl8305scRegVal2OperStatus (OPER_TYPE_E oper, Uint16 data);

/*******************************************************************************
*
* cslRtl8305scOperStatus2RegVal - constructs the register value to be written out of data and user request
*
* Enable/Disable a selected port
*
* INPUTS:
*     [In]    OPER_TYPE     oper 
*     [In]    Int32        operValue
*     [In]    UINT_16       data
* 
*
*
* RETURNS: 
*       The final register value
*
*
*/

Uint16 cslRtl8305scOperStatus2RegVal (OPER_TYPE_E oper,Int32 operValue,Uint16 data);


/*******************************************************************************
*
* cslRtl8305scSwitchGetVersion - Get switch specific data
*
* 
*
* INPUTS:
*     [In]    PSWITCH_DRV_HANDLE hDrv
*     [In]    PSW_VER_INFO pSwitchInfo
* 
*
*
* RETURNS: 
*       The final register value
*
*
*/
void cslRtl8305scSwitchGetVersion(PCSL_SWITCH_DRV_HANDLE swDrv,PSW_VER_INFO pSwitchInfo);

/*******************************************************************************
*
* cslRtl8305scprepareReadStatSequence - Rtl8305sc doesn't 
*                                         support statistics counters
*
*
*/

Int32 cslRtl8305scPrepareReadStatSequence(PCSL_SWITCH_DRV_HANDLE swHead,Uint32 port);

/*******************************************************************************
*
* cslRtl8305scgetPreparedCounters - Rtl8305sc doesn't 
*                                     support statistics counters
*
*/


Int32 cslRtl8305scGetPreparedCounters(PCSL_SWITCH_DRV_HANDLE swHead,Uint32 statIndex,Uint32* counter);


/*******************************************************************************
*
* cslRtl8305scPortNum2RegAddr - returns the register address
*
* Retreive register address from port and operator type.
*
* INPUTS:
*     [In]   OPER_TYPE_E    type
*     [In]   Uint32         portNum
*
*
* RETURNS: 
*       Register address
*
*
*/

Uint32 cslRtl8305scPortNum2RegAddr(OPER_TYPE_E type, Uint32 portNum);

/*******************************************************************************
*
* cslRtl8305scPortNum2PHYAddr - returns the PHY address
*
* Retreive PHY address from port and operator type.
*
* INPUTS:
*     [In]   OPER_TYPE_E    type
*     [In]   Uint32         portNum
*
*
* RETURNS: 
*       Register address
*
*
*/


Uint32 cslRtl8305scPortNum2PHYAddr(OPER_TYPE_E type, Uint32 portNum);

/*******************************************************************************
*
* cslRtl8305scSpecialCapsSet - Rtl8305sc Dosen't support VLAN
*                                     
*
*/
Int32 cslRtl8305scSpecialCapsSet(PCSL_SWITCH_DRV_HANDLE swHead, Uint32 cmd, Uint32 arg);
/*******************************************************************************
*
* cslRtl8305scStart - 

*
*/
Int32 cslRtl8305scStart (PCSL_SWITCH_DRV_HANDLE swHead);

#endif 
