#!/bin/bash
#---------------------------------------------------------------
# This script is called from both the ROHS and standard firmware makefiles
# "FILESYS_DIR" is defined in them as appropriate
#---------------------------------------------------------------
BASEDIR=/opt/gcc/ar7/staging_dir
CROSS_COMPILE=mipsel-uclibc
CFLAGS="-Os -s -ffunction-sections -fdata-sections"

# where to copy things
if test "$FILESYS_DIR" = ""; then
   FILESYS_DIR=../../filesystem
fi

# do we want to install too?
if test "$1" = "install" || test "$2" = "install" || test "$3" = "install" || test "$4" = "install"; then
   TO_INSTALL=1
else
   TO_INSTALL=0
fi

# is this an ROHS build? (currently unused)
if test "$1" = "rohs" || test "$2" = "rohs" || test "$3" = "rohs" || test "$4" = "rohs"; then
   ROHS=1
else
   ROHS=0
fi

# which OpenWrt gcc toolchain version do we want?
if test "$GCC_BASE" = "3.4.6"; then
   gcc_ver=3.4.6
else
   gcc_ver=4.1.2
fi

# --- fix the paths
export PATH=$BASEDIR/toolchain-mipsel_gcc$gcc_ver/bin:$PATH
AS=$CROSS_COMPILE-as
LD=$CROSS_COMPILE-ld
RANLIB=$CROSS_COMPILE-ranlib
CPP="$CROSS_COMPILE-gcc -E"
AR=$CROSS_COMPILE-ar
NM=$CROSS_COMPILE-nm
STRIP=$CROSS_COMPILE-strip
OBJCOPY=$CROSS_COMPILE-objcopy
OBJDUMP=$CROSS_COMPILE-objdump
HOSTCC=/usr/bin/gcc
export AS LD CC CPP AR NM STRIP OBJCOPY OBJDUMP CFLAGS RANLIB LDFLAGS FILESYS_DIR

# do we want to clean?
if test "$1" = "clean" || test "$2" = "clean" || test "$3" = "clean" || test "$4" = "clean"; then
   make -f Makefile.RouterTech clean
   exit
fi

# if not install, prepare to build
if test "$TO_INSTALL" = "0"; then
   make -f Makefile.RouterTech clean
   make -f Makefile.RouterTech
   $STRIP -s miniupnpd
fi

if test "$TO_INSTALL" = "1"; then
   if ! test -e "./miniupnpd"; then
      make -f Makefile.RouterTech clean
      make -f Makefile.RouterTech
      $STRIP -s miniupnpd
   fi
   make -f Makefile.RouterTech install
fi

